%define oname   pg

Name:       ruby-%{oname}
Version:    0.11.0
Release:    %mkrel 1
Summary:    A Ruby interface to the PostgreSQL RDBMS
Group:      Development/Ruby
License:    GPLv2+ or Ruby License
URL:        http://bitbucket.org/ged/ruby-pg/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     pg-0.10.1-fix-rspec-method.patch
BuildRequires: rubygems
BuildRequires: ruby-devel
BuildRequires: postgresql-devel
BuildRequires: postgresql-server
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec) >= 2.0.0
BuildRequires: rubygem(rdoc)
BuildRequires: rubygem(rake-compiler) >= 0.7.0
Requires:   ruby(abi) = 1.8

%description
This is the extension library to access a PostgreSQL database from Ruby.
This library works with PostgreSQL 7.4 and later.

%files
%defattr(-, root, root, -)
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*.rb
%{ruby_vendorarchdir}/pg_ext.so

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc ChangeLog README README.ja LICENSE
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

# fix shebang
sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/pg.rb

rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/README.{OS_X,windows}

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorarchdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_sitearchdir}/* %{buildroot}%{ruby_vendorarchdir}

rm -rf %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/

%check
rake spec

%clean
rm -rf %{buildroot}



%changelog
* Tue Apr 19 2011 shikamaru <shikamaru> 0.11.0-1.mga1
+ Revision: 88782
- new version 0.11.0

* Fri Mar 25 2011 shikamaru <shikamaru> 0.10.1-2.mga1
+ Revision: 77167
- FHS compliance

* Sat Jan 29 2011 shikamaru <shikamaru> 0.10.1-1.mga1
+ Revision: 43656
- imported package ruby-pg


* Sun Jan 23 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.10.1-1
- Apply new ruby policy
- Apply general mageia rules
- Fix shebang
- Remove useless README for OSX and Windows
- Add patch to adapt test to rspec 2.0.1

* Sat Nov 13 2010 Rémy Clouard <shikamaru@mandriva.org> 0.9.0-3mdv2011.0
+ Revision: 597365
- Obsolete ruby-pg, increment release just in case
- Move ruby-pg to rubygem-pg
- Use gem to build the package
- We need the gem files or else it's not found with redmine during the
  db:migrate step

* Wed Nov 03 2010 Rémy Clouard <shikamaru@mandriva.org> 0.9.0-2mdv2011.0
+ Revision: 592789
- add postgresql-server as a requires

* Fri Oct 08 2010 Rémy Clouard <shikamaru@mandriva.org> 0.9.0-1mdv2011.0
+ Revision: 584273
- import ruby-pg

